function [SCR,frec_SCR,amp_SCR,SCL]=GSR(gsr,yngsr,ygsr)

% GSR extrae las caractersticas de la seal gsr
%______________________________________________________________________%
% NOMBRE DEL FICHERO:   GSR.m                                          %
% RECIBE: los datos en bruto, filtrados y derivados de la seal        %
% DEVUELVE: las caractersitcas de la seal                            %
% VARIABLES: gsr = vector de datos de la seal en bruto                %
%            yngsr = vector de datos de la seal filtrada              %
%            ygsr = vector de datos de la derivada de yngsr            %
%            SCR = nmero entero de eventos registrados                %
%            frec_SCR = nm. decimal de eventos en un minuto           %
%            amp_SCR = promedio de la amplitud de los eventos          %
%            SCL = promedio de la seal gsr                            %
%______________________________________________________________________%
format longG

%Inicializacin de variables
numscr=0;
num_amp=1;
num_muestras=length(gsr);

for i=1:(num_muestras-1)
    if(ygsr(i)==0)  %pico encontrado      
        %Comprobar si desde i hasta (i-10000) la pendiente es positiva
        [pico_ok, start_SCR]=comprobar_pico(i,ygsr,yngsr);
        
        if(pico_ok)
            if(numscr>=1)
                %Comprobamos que el pico se puede contabilizar
                diferencia=i-eventgsr2(numscr);
                der_neg=false;
                num=eventgsr2(numscr);
                %Si hay derivada negativa son dos picos
                while (~der_neg && num<i)  
                    if (ygsr(num)<(-0.005))    %Dejamos margen por las aprox.
                        der_neg=true;
                    end
                    num=num+1;
                end
                
                if(diferencia>=2500 || der_neg)    %Hay un nuevo pico
                    numscr=numscr+1;
                    eventgsr1(numscr)=start_SCR ;
                    eventgsr2(numscr)=i;
                else
                    %Almacenamos el nuevo pico como parte del anterior
                    eventgsr2(numscr)=i;
                end
                
            else    %La primera iteracion siempre la contabilizamos
                numscr=numscr+1;
                eventgsr1(numscr)=start_SCR ;
                eventgsr2(numscr)=i;
            end
            vector_ampSCR(num_amp)=(yngsr(eventgsr2(numscr))-yngsr(eventgsr1(numscr)));
            num_amp=num_amp+1;
        end
    end
end

% SCR -> eventos
SCR=numscr
minutos=num_muestras/(60*500);
frec_SCR=numscr/minutos
% amp_SCR
amp_SCR=mean(vector_ampSCR)
% SCL -> media de GSR en el tiempo
SCL=mean(gsr)

end