function [ecg, skt, gsr]= Signals(nom_fich)

% Signals extrae los datos de un fichero de cuatro columnas en vectores
%______________________________________________________________________%
% NOMBRE DEL FICHERO:   Signals.m                                      %
% RECIBE: el nombre del fichero original                               %
% DEVUELVE: los cuatro vectoes                                         %
% VARIABLES: nom_fich = nombre del fichero orginal sin extensin       %
%            ecg = vector de datos                                     %
%            rr = vector de datos                                      %
%            skt = vector de datos                                     %
%            gsr = vector de datos                                     %
%______________________________________________________________________%
format longG

%Recolpilacin de datos
nom_fich_bruto=[nom_fich,'.txt'];
fich=fopen(nom_fich_bruto);
[A,cont]=fscanf(fich,'%f\n',[4,inf]);
fclose(fich);

%Separamos las tres seales
Signals=A';
[filas_Signals, columnas_Signals]=size(Signals);
ecg=Signals (: , 1);
skt=Signals (: , 3);

%Submuestreamos a 500Hz
n=1;
for i=1:4:filas_Signals
    gsr(n)=Signals (i , 4);
    n=n+1;
end
end