function [resultado,primer_punto]=comprobar_pico(iteracion,derivada,yngsr)

% comprobar_pico es una funcin booleana que valida el pico
%______________________________________________________________________%
% NOMBRE DEL FICHERO:   comprobar_pico.m                               %
% RECIBE: los datos en bruto, filtrados y derivados de la seal        %
% DEVUELVE: true/false                                                 %
% VARIABLES: iteracin = num. de muestra del pico                      %
%            yngsr = vector de datos de la seal filtrada              %
%            derivada = vector de datos de la derivada de yngsr        %
%            resultado = valor booleano                                %
%            primer_punto = num. de muestra de comienzo del pico       %
%______________________________________________________________________%


%Comenzamos suponiendo que es un pico fail
resultado=false; 
start_SCR=0;
%Seleccionamos el rango de trabajo [primer_punto, iteracion] de 5 seg
primer_punto=iteracion-2500;

%El rango no es suficientemente grande -> Pico fail
if(primer_punto<=0)
    resultado=false;
else
    %Comprobar que en algn punto del rango haya -0.05uS
    for i=primer_punto:iteracion
        if (yngsr(i)<=(yngsr(iteracion)-0.05))
            start_SCR=i;
            n=primer_punto;
            resultado=true;
        end
    end
end


while(resultado && n<iteracion)
    %En el rango hay otro punto MIN, MAX
    if(derivada(n)==0)
        if(n>=start_SCR)
            resultado=false;
        else
            primer_punto=n;
        end
    else
        resultado=true;
    end
    n=n+1;
end

end