function [yngsr, ygsr]=filt_derv(gsr)

% filt_der filtra y deriva la seal gsr
%______________________________________________________________________%
% NOMBRE DEL FICHERO:   filt_derv.m                                    %
% RECIBE: un vector con los datos de la seal gsr                      %
% DEVUELVE: la seal filtrada y su derivada                            %
% VARIABLES: gsr = vector de datos de la seal en bruto                %
%            yngsr = vector de datos de la seal filtrada              %
%            ygsr = vector de datos de la derivada de yngsr            %
%______________________________________________________________________%
format longG

%Inicializacin de variables
muestra_actual=1;
num_muestras=length(gsr);
Fs=500;    %Frecuencia de 500Hz
Ts=1/Fs;
m=1101; %Periodo del filtro
yngsr=zeros (1 , num_muestras) ;     %Seal filtrada
ygsr=zeros (1 , num_muestras) ;      %Derivada

while(muestra_actual<num_muestras)
    % Filtramos
    n= muestra_actual - (m-1)/2;
    %n=muestra_actual+1;
    if n>=((m-1)/2)+1 %%ya se puede filtrar ?
        sum=0;
        %Eliminamos el ruido de alta frecuencia de la seal GSR
        for k= muestra_actual- (m-1) : muestra_actual
            sum= sum+ (gsr(k)/m) ;
        end
        yngsr(n)=sum;
        %Operacin de diferencia hacia atrs
        ygsr(n)=(sum - yngsr(n-1))/Ts;
        
    else %%si no se pudo deje la senal original
        yngsr(muestra_actual)=gsr(muestra_actual) ;
    end
    muestra_actual=muestra_actual+1;
end
end