function fragmentacion=fragm_ficheros(nom_fich, delay_1, delay_2)

% frag_ficheros divide el fichero introducido en 5 ficheros
%______________________________________________________________________%
% NOMBRE DEL FICHERO:   fragm_ficheros.m                               %                                              
% RECIBE: el fichero original y dos variables temporales               %
% DEVUELVE: Mensaje de 'OK' al finalizar                               %
% VARIABLES: nom_fich = nombre del fichero orginal: 'P_X'              %
%            delay_1 = segundos de retraso en la etapa 1               %
%            delay_2 = segundos de retraso en la etapa 3               %
%______________________________________________________________________%   
format longG

frecuency=2000;
nom_fich_bruto=[nom_fich,'.txt'];

%Abrimos el fichero 
fich=fopen(nom_fich_bruto);

%Volcamos los datos del fichero en una matriz de datos
[A,cont]=fscanf(fich,'%f\n',[4,inf]);
valores=A';
[num_filas, num_columnas]=size(valores);

%Cerramos el fichero de datos
fclose(fich);

%Calculamos las iteraciones en columnas por etapa
lim_etapa_1=(360+delay_1)*frecuency;
lim_2=360*frecuency;
lim_etapa_2=lim_etapa_1+lim_2;
lim_3=(180+delay_2)*frecuency;
lim_etapa_3=lim_etapa_2+lim_3;
lim_4=360*frecuency;
lim_etapa_4=lim_etapa_3+lim_4;
lim_5=num_filas-lim_etapa_4;


%Sacamos los datos del fichero para cada etapa
for i=1:num_columnas
    %Etapa 1
    k=1;
    for j=1:lim_etapa_1
        valores_E_1(k,i)= valores(j,i);
        k=k+1;
    end
    %Etapa 2
    k=1;
    for j=lim_etapa_1:lim_etapa_2
        valores_E_2(k,i)= valores(j,i);
        k=k+1;
    end
    %Etapa 3
    k=1;
    for j=lim_etapa_2:lim_etapa_3
        valores_E_3(k,i)= valores(j,i);
        k=k+1;
    end
    %Etapa 4
    k=1;
    for j=lim_etapa_3:lim_etapa_4
        valores_E_4(k,i)= valores(j,i);
        k=k+1;
    end
    %Etapa 5
    k=1;
    for j=lim_etapa_4:num_filas
        valores_E_5(k,i)= valores(j,i);
        k=k+1;
    end
end
 
%Creamos los nuevos ficheros e incluimos los datos 
%Etapa 1
nom_fich_E_1=[nom_fich,'_E_1.txt'];
fich_E_1=fopen(nom_fich_E_1,'wt');
for j=1:lim_etapa_1
    fprintf(fich_E_1,'%8.7f\t%5.4f\t%6.4f\t%7.5f\n',valores_E_1(j,1),valores_E_1(j,2),valores_E_1(j,3),valores_E_1(j,4));
end
fclose(fich_E_1);

%Etapa 2
nom_fich_E_2=[nom_fich,'_E_2.txt'];
fich_E_2=fopen(nom_fich_E_2,'wt');
for j=1:lim_2
    fprintf(fich_E_2,'%8.7f\t%5.4f\t%6.4f\t%7.5f\n',valores_E_2(j,1),valores_E_2(j,2),valores_E_2(j,3),valores_E_2(j,4));
end
fclose(fich_E_2);

%Etapa 3
nom_fich_E_3=[nom_fich,'_E_3.txt'];
fich_E_3=fopen(nom_fich_E_3,'wt');
for j=1:lim_3
    fprintf(fich_E_3,'%8.7f\t%5.4f\t%6.4f\t%7.5f\n',valores_E_3(j,1),valores_E_3(j,2),valores_E_3(j,3),valores_E_3(j,4));
end
fclose(fich_E_3);

%Etapa 4
nom_fich_E_4=[nom_fich,'_E_4.txt'];
fich_E_4=fopen(nom_fich_E_4,'wt');
for j=1:lim_4
    fprintf(fich_E_4,'%8.7f\t%5.4f\t%6.4f\t%7.5f\n',valores_E_4(j,1),valores_E_4(j,2),valores_E_4(j,3),valores_E_4(j,4));
end
fclose(fich_E_4);

%Etapa 5
nom_fich_E_5=[nom_fich,'_E_5.txt'];
fich_E_5=fopen(nom_fich_E_5,'wt');
for j=1:lim_5
    fprintf(fich_E_5,'%8.7f\t%5.4f\t%6.4f\t%7.5f\n',valores_E_5(j,1),valores_E_5(j,2),valores_E_5(j,3),valores_E_5(j,4));
end
fclose(fich_E_5);

fragmentacion='OK';