function trat_GSRSKT(nom_fich)

% trat_GSRSKT almacena los ndices de las dos seales en un fichero
%______________________________________________________________________%
% NOMBRE DEL FICHERO:   trat_GSRSKT.m                                  %
% RECIBE: el fichero de datos de una etapa                             %
% DEVUELVE:                                                            %
% VARIABLES: nom_fich = nombre del fichero orginal sin extensin       %
%______________________________________________________________________%

%Pre-procesamiento
[ecg, skt, gsr]= Signals(nom_fich);
%Filtro y derivada de la seal GSR
[yngsr, ygsr]=filt_derv(gsr);
%Extraccin de ndices de la seal GSR
[SCR,frec_SCR,amp_SCR,SCL]=GSR(gsr,yngsr,ygsr);
%Extraccin del ndice de la seal SKT
TEMP=SKT(skt);

%Fichero de ndices
filename = ['GSR_SKT_',nom_fich,'.txt'];
fid = fopen(filename , 'wt') ;
fprintf(fid, 'SCR \t %f', SCR);
fprintf(fid, '\nfrec_SCR \t %f', frec_SCR);
fprintf(fid, '\namp_SCR \t %f', amp_SCR);
fprintf(fid, '\nSCL \t %f', SCL);
fprintf(fid, '\nSKT \t %f', TEMP);
fclose (fid) ;
end